# Class VulkanLWJGLExtKHRSwapChain

java.lang.Object
com.io7m.jcoronado.lwjgl.internal.VulkanLWJGLExtKHRSwapChain

All Implemented Interfaces:
  `VulkanExtensionType, VulkanExtKHRSwapChainType`

public final class VulkanLWJGLExtKHRSwapChain extends Object implements VulkanExtKHRSwapChainType
Access to the `VK_KHR_swapchain` extension.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface VulkanExtKHRSwapChainType

  `VulkanExtKHRSwapChainType.QueuePresentResult, VulkanExtKHRSwapChainType.VulkanKHRSwapChainType`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VulkanExtKHRSwapChainType.QueuePresentResult`
  `queuePresent(VulkanQueueType inQueue, VulkanPresentInfoKHR presentInfo)`
  Queue images for presentation.
  `VulkanExtKHRSwapChainType.VulkanKHRSwapChainType`
  `swapChainCreate(VulkanLogicalDeviceType inDevice, VulkanSwapChainCreateInfo info)`
  Create a new swap chain.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface VulkanExtKHRSwapChainType

  `extraNames, name`

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### swapChainCreate

    public VulkanExtKHRSwapChainType.VulkanKHRSwapChainType swapChainCreate(VulkanLogicalDeviceType inDevice, VulkanSwapChainCreateInfo info) throws VulkanException
    Description copied from interface: `VulkanExtKHRSwapChainType`
    Create a new swap chain.
    Specified by:
      `swapChainCreate` in interface `VulkanExtKHRSwapChainType`
    Parameters:
      `inDevice` - The physical device
      `info` - The creation info
    Returns:
      The capabilities of the given surface
    Throws:
      `VulkanException` - On errors
    See Also:
      - "vkCreateSwapchainKHR"

  - ### queuePresent

    public VulkanExtKHRSwapChainType.QueuePresentResult queuePresent(VulkanQueueType inQueue, VulkanPresentInfoKHR presentInfo) throws VulkanException
    Description copied from interface: `VulkanExtKHRSwapChainType`
    Queue images for presentation.
    Specified by:
      `queuePresent` in interface `VulkanExtKHRSwapChainType`
    Parameters:
      `inQueue` - The presentation queue
      `presentInfo` - The presentation info
    Returns:
      The present result
    Throws:
      `VulkanException` - On errors
    See Also:
      - "vkQueuePresentKHR"